diff --git a/src/winclip.c b/src/winclip.c
index 33da6977..3f4f33d5 100644
--- a/src/winclip.c
+++ b/src/winclip.c
@@ -488,8 +488,12 @@ paste_hdrop(HDROP drop)
     free(fn);
   }
   buf_pos--;  // Drop trailing space
+  if (term.bracketed_paste)
+    child_write("\e[200~", 6);
   child_send(buf, buf_pos);
   free(buf);
+  if (term.bracketed_paste)
+    child_write("\e[201~", 6);
 }
 
 static void
diff --git a/wiki/Changelog.md b/wiki/Changelog.md
index 3720db2d..acd63d6e 100644
--- a/wiki/Changelog.md
+++ b/wiki/Changelog.md
@@ -1,3 +1,4 @@
+  * Fix drag-and-drop file/folder to also honour bracketed paste mode (#440).
   * Application keypad modified keys send sequences like in xterm (#506).
   * Loading config also from XDG default config dir (#525) or Windows AppData dir (#201).
   * Option CtrlExchangeShiftExchange exchanges Control characters with Ctrl+Shift shortcuts (#524).
